<?php
/**
 * @version     $Id$
 * @package     NoSchool
 * @subpackage  com_noschool
 * @copyright   Copyright 2010 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

/**
 * noschool display helper.
 *
 * @package     NoSchool
 * @subpackage  com_noschool
 * @since       2.0.0
 */
class NoSchoolHelper
{
	/**
	 * Configure the Linkbar.
	 *
	 * @param   string  $vName  The name of the active view.
	 *
	 * @return  void
	 *
	 * @since   2.0.0
	 */
	public static function addSubmenu($vName)
	{
		JSubMenuHelper::addEntry(
			JText::_('COM_NOSCHOOL_SUBMENU_CATEGORIES'),
			'index.php?option=com_categories&extension=com_noschool',
			$vName == 'categories'
		);

		JSubMenuHelper::addEntry(
			JText::_('COM_NOSCHOOL_SUBMENU_NOSCHOOL'),
			'index.php?option=com_noschool&view=noschool',
			$vName == 'servers'
		);
		
	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return  JObject
	 * @since   2.0.0
	 */
	public static function getActions()
	{
		$user	= JFactory::getUser();
		$result	= new JObject;

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action) {
			$result->set($action, $user->authorise($action, 'com_noschool'));
		}

		return $result;
	}
}